DRM_EDID_TO_ELD(9)

NAME
drm_edid_to_eld - build ELD from EDID

SYNOPSIS

void drm_edid_to_eld(struct drm_connector * connector, struct edid * edid);

ARGUMENTS

connector
    connector corresponding to the HDMI/DP sink

edid
    EDID to parse

DESCRIPTION

Fill the ELD (EDID-Like Data) buffer for passing to the audio driver. The Conn_Type, HDCP and Port_ID ELD fields are left for the graphics driver to fill in.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT